Subject: Re: ncurses on b18
From: [email-masked] ("Mikey")

10 May 1997 02:53:52 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
X-Mailer: Microsoft Outlook Express 4.71.0544.0
Original-To: "Bruce D. McLeod" <[email-masked]>
Original-Cc: "cygnus" <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-MimeOLE: Produced By Microsoft MimeOLE Engine V4.71.0544.0
Original-Sender: [email-masked]

No, they moved all of the console handleing routines from fhandler.cc into
console.cc, so the diffs no longer work, but I guess somebody rewrote them
(much neater job than I did ;^) and included them in the prebeta18 sources,
so they are probably in B18 also, the diff's for the termcap/info files
should still give you w32ansi support (function keys), but I guess the
default termcap that comes with the package, is supposed to be linux, so if
you want to use telnet or rlogin, you'll have to upload the termcap in the
package to.termcap in your home directory. or change the TERM environment
var to vt102 which is linux compatible (mostly).

the <esc>[J and <esc>[0J were broken in p18, so clear.exe won't work.

The fixes to Fhandler.cc FakeReadFile, both made it in, so ncurses apps
should work with the out of the box .dll, sadly the O_NDELAY fix wasn't
there in p18, so info.exe still needs that fix to winsup/ to work. (It's a
hack, so I can understand not wanting to use it)
 ----
From: Bruce D. McLeod <[email-masked]>
To: [email-masked]
Date: Friday, May 09, 1997 5:23 PM
Subject: ncurses on b18

>Does anyone know if the same diffs for termcaps and terminfo
>are needed to make ncurses run under b18?  Has anyone tried?
>
>Bruce
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".